PolynomFitDialog Class Reference

Fit polynomial dialog. More...

`#include <PolynomFitDialog.h>`

Inheritance diagram for PolynomFitDialog:

## Public Slots

void | activateCurve (const QString &)
void | changeDataRange ()
void | fit ()
void | setGraph (Graph *g)

## Public Member Functions

| PolynomFitDialog (QWidget *parent=0, Qt::WFlags fl=0)

## Private Attributes

ColorButton * | boxColor
DoubleSpinBox * | boxEnd
QComboBox * | boxName
QSpinBox * | boxOrder
QSpinBox * | boxPoints
QCheckBox * | boxShowFormula
DoubleSpinBox * | boxStart
QPushButton * | buttonCancel
QPushButton * | buttonFit
Graph * | graph

## Detailed Description

Fit polynomial dialog.

## Constructor & Destructor Documentation

## PolynomFitDialog()

PolynomFitDialog::PolynomFitDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References activateCurve(), boxColor, boxEnd, boxName, boxOrder, boxPoints, boxShowFormula, boxStart, buttonCancel, buttonFit, ApplicationWindow::d_decimal_digits, fit(), ColorButton::setColor(), and DoubleSpinBox::setDecimals().

## Member Function Documentation

## activateCurve

void PolynomFitDialog::activateCurve | ( | const QString & | s | ) |

slot

References boxEnd, boxPoints, boxStart, Graph::curve(), graph, Graph::range(), and DoubleSpinBox::setValue().

Referenced by PolynomFitDialog(), and setGraph().

## changeDataRange

void PolynomFitDialog::changeDataRange | ( |  | ) |

slot

References boxEnd, boxStart, graph, Graph::selectedXEndValue(), Graph::selectedXStartValue(), and DoubleSpinBox::setValue().

Referenced by setGraph().

## fit

void PolynomFitDialog::fit | ( |  | ) |

slot

References Graph::analysableCurvesList(), boxColor, boxEnd, boxName, boxOrder, boxShowFormula, boxStart, ColorButton::color(), Graph::curve(), PolynomialFit::fit(), ApplicationWindow::fit_output_precision, ApplicationWindow::fitPoints, Fit::generateFunction(), ApplicationWindow::generateUniformFitPoints, graph, Filter::setColor(), Filter::setDataFromCurve(), Filter::setOutputPrecision(), and DoubleSpinBox::value().

Referenced by PolynomFitDialog().

## setGraph

void PolynomFitDialog::setGraph | ( | Graph * | g | ) |

slot

References activateCurve(), Graph::analysableCurvesList(), boxName, changeDataRange(), Graph::curveRange(), graph, Graph::rangeSelectorsEnabled(), and Graph::rangeSelectorTool().

Referenced by ApplicationWindow::showFitPolynomDialog().

## Member Data Documentation

## boxColor

ColorButton* PolynomFitDialog::boxColor

private

Referenced by fit(), and PolynomFitDialog().

## boxEnd

DoubleSpinBox* PolynomFitDialog::boxEnd

private

Referenced by activateCurve(), changeDataRange(), fit(), and PolynomFitDialog().

## boxName

QComboBox* PolynomFitDialog::boxName

private

Referenced by fit(), PolynomFitDialog(), and setGraph().

## boxOrder

QSpinBox* PolynomFitDialog::boxOrder

private

Referenced by fit(), and PolynomFitDialog().

## boxPoints

QSpinBox* PolynomFitDialog::boxPoints

private

Referenced by activateCurve(), and PolynomFitDialog().

## boxShowFormula

QCheckBox* PolynomFitDialog::boxShowFormula

private

Referenced by fit(), and PolynomFitDialog().

## boxStart

DoubleSpinBox* PolynomFitDialog::boxStart

private

Referenced by activateCurve(), changeDataRange(), fit(), and PolynomFitDialog().

## buttonCancel

QPushButton* PolynomFitDialog::buttonCancel

private

Referenced by PolynomFitDialog().

## buttonFit

QPushButton* PolynomFitDialog::buttonFit

private

Referenced by PolynomFitDialog().

## graph

Graph* PolynomFitDialog::graph

private

Referenced by activateCurve(), changeDataRange(), fit(), and setGraph().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/PolynomFitDialog.h
- qtiplot/src/analysis/dialogs/PolynomFitDialog.cpp